#pragma once

#include <string>
#include <vector>

#include <RobotAPI/libraries/aron/core/data/variant/container/Dict.h>
#include <RobotAPI/interface/skills/SkillProviderInterface.h>

#include "SkillParameterization.h"

namespace armarx
{
    namespace skills
    {
        struct SkillStatusUpdate
        {
            std::string                                         providerName = "";
            std::string                                         skillName = "";
            provider::dto::Execution::Status                    status = provider::dto::Execution::Status::Idle;
            aron::data::DictPtr                                 data = nullptr;
            SkillParameterization                               usedParameterization;

            provider::dto::SkillStatusUpdate toIce() const;
        };
    }
}
